// DIVX2XVID.cpp : Definiert den Einsprungpunkt fr die Konsolenanwendung.
//

#include "stdafx.h"
#include <stdio.h>
#include <string.h>

char DivXFOURCC[][4] = {/*{'D','I','V','3'}, {'D','I','V','4'}, {'D','I','V','5'},*/ {'D','I','V','X'}, {'D','X','5','0'} };
#define AE "\x8E"
#define ae "\x84"
#define OE "\x99"
#define oe "\x94"
#define UE "\x9A"
#define ue "\x81"
#define ss "\xE1"

int main(int argc, char* argv[])
{
	if(argc > 1)
	{
		FILE *infile;
		char fourcc[4];
		int f;
		for(f=1;f<argc;f++)
		{
			infile = fopen(argv[f],"rb+");
			if(infile)
			{
				bool isDivX = false;

				fseek(infile,0x70,SEEK_SET);
				fread(fourcc,1,4,infile);

				for(int i=0;i<sizeof(DivXFOURCC)/4;i++)
				{
					if(strncmp(fourcc,DivXFOURCC[i],4) == 0)
					{
						isDivX = true;
						break;
					}
				}
				
				if(isDivX)
				{
					isDivX = false;
					fseek(infile,0xBC,SEEK_SET);
					fread(fourcc,1,4,infile);
					for(int i=0;i<sizeof(DivXFOURCC)/4;i++)
					{
						if(strncmp(fourcc,DivXFOURCC[i],4) == 0)
						{
							isDivX = true;
							break;
						}
					}
				}

				if(isDivX)
				{
					fseek(infile,0x70,SEEK_SET);
					fwrite("XVID",1,4,infile);
					fseek(infile,0xBC,SEEK_SET);
					fwrite("XVID",1,4,infile);
					printf("%s wurde ge"ae"ndert.\n",argv[f]);
				}
				else
				{
					printf("%s ist kein DivX-Format.\n",argv[f]);
				}

				fclose(infile);
			}
			else
			{
				printf("%s kann nicht ge"oe"ffnet werden.\n",argv[f]);
			}
		}	// end for(f=1;f<argc;f++)
	}
	else
	{
		printf(AE"ndert den FOURCC-Code von DivX auf XVID ab.\nSyntax: %s DIVXFILE.AVI [DIVXFILE2.AVI] ... \n",argv[0]);
	}
	printf("Bitte die Eingabetaste dr"ue"cken.");
	getchar();
	return 0;
}

